#!/usr/bin/env python3
from __future__ import unicode_literals, print_function

import argparse
import random

parser = argparse.ArgumentParser(description="Simple random selection a port")
parser.add_argument("host", type=str, help="Full hostname of a collector.")
parser.add_argument("-lp", "--low-port", default=20001, type=int,
                    help="Lower port range limit for open HTCondor ports.")
parser.add_argument("-hp", "--high-port", default=20021, type=int,
                    help="Upper port range limit for open HTCondor ports.")

arguments = vars(parser.parse_args())

print("COLLECTOR_HOST = %s:%d" % (arguments["host"],
                                  # range end point is omitted => use high_port +1
                                  random.choice(range(arguments["low_port"],
                                                      arguments["high_port"]+1))))
